Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - d -

- d2b() : util.c
- dbl2big() : bignum.c
- dbl2ival() : numeric.c
- dealloc() : closure.c , emitter.c
- deallocate() : function.c
- debug() : nkf.c
- debug_lines() : ripper.c , parse.c
- declare_transcoder() : transcode.c
- decode_bool() : ossl_asn1.c
- decode_bstr() : ossl_asn1.c
- decode_enum() : ossl_asn1.c
- decode_int() : ossl_asn1.c
- decode_null() : ossl_asn1.c
- decode_obj() : ossl_asn1.c
- decode_time() : ossl_asn1.c
- decorate_convpath() : transcode.c
- decorator_names() : transcode.c
- default_handler() : signal.c
- default_inspect() : win32ole.c
- default_mt() : random.c
- default_proc_arity_check() : hash.c
- DEFINE_ENUMFUNCS() : enum.c
- define_filetest_function() : file.c
- define_final() : gc.c
- define_swapx() : pack.c
- defined_expr() : compile.c
- deflate_run() : zlib.c
- delete_if_i() : hash.c
- delete_slaves() : tcltklib.c
- deleted_ip() : tcltklib.c
- delpair() : _sdbm.c
- DEPRECATED() : dln.h , rubysig.h , intern.h , io.h , ruby.h
- des_cipher() : crypt.c
- des_setkey() : crypt.c
- detach_process_pid() : process.c
- detach_process_watcher() : process.c
- dh_generate() : ossl_pkey_dh.c
- dh_instance() : ossl_pkey_dh.c
- diff() : util.c
- dimension() : win32ole.c
- dir_chdir() : dir.c
- dir_check() : dir.c
- dir_close() : dir.c
- dir_closed() : dir.c
- dir_each() : dir.c
- dir_entries() : dir.c
- dir_foreach() : dir.c
- dir_free() : dir.c
- dir_globs() : dir.c
- dir_initialize() : dir.c
- dir_inspect() : dir.c
- dir_mark() : dir.c
- dir_memsize() : dir.c
- dir_open_dir() : dir.c
- dir_path() : dir.c
- dir_read() : dir.c
- dir_rewind() : dir.c
- dir_s_alloc() : dir.c
- dir_s_aref() : dir.c
- dir_s_chdir() : dir.c
- dir_s_getwd() : dir.c
- dir_s_glob() : dir.c
- dir_s_home() : dir.c
- dir_s_mkdir() : dir.c
- dir_s_open() : dir.c
- dir_s_rmdir() : dir.c
- dir_set_pos() : dir.c
- disable_noname_group_capture() : regcomp.c
- disable_option() : ruby.c
- discrete_object_p() : range.c
- dispatch0() : ripper.y
- dispose_string() : ripper.c , parse.c
- distance_add() : regcomp.c
- distance_multiply() : regcomp.c
- distance_value() : regcomp.c
- divide_look_behind_alternatives() : regcomp.c
- divmodv() : time.c
- dlcfunc_free() : cfunc.c
- dlcfunc_memsize() : cfunc.c
- dlhandle_free() : handle.c
- dlhandle_memsize() : handle.c
- dlhandle_sym() : handle.c
- dln_find_1() : dln_find.c
- dln_find_exe() : dln_find.c
- dln_find_exe_r() : dln.h , dln_find.c
- dln_find_file() : dln_find.c
- dln_find_file_r() : dln_find.c , dln.h
- dln_load() : dln.c , dln.h , dmydln.c
- dln_loaderror() : dln.c , dln_find.c
- dln_strerror() : dln.c
- dlptr_free() : cptr.c
- dlptr_init() : cptr.c
- dlptr_memsize() : cptr.c
- do_checksum() : zlib.c
- do_coerce() : numeric.c
- do_deflate() : zlib.c
- do_inflate() : zlib.c
- do_lstat() : dir.c
- do_opendir() : dir.c
- do_select() : win32.c , thread.c
- do_spawn() : os2.c
- do_stat() : dir.c
- do_writeconv() : io.c
- double2timeval() : thread.c
- double_ne() : isnan.c
- drop_i() : enum.c
- drop_while_i() : enum.c
- dsa_generate() : ossl_pkey_dsa.c
- dsa_instance() : ossl_pkey_dsa.c
- dump_disasm_list() : compile.c
- dump_node() : node.c
- dump_option() : ruby.c
- dup2() : dup2.c , missing.h
- DupConfigPtr() : ossl_config.c , ossl_config.h
- duppair() : _sdbm.c
- DupPKCS7RecipientPtr() : ossl_pkcs7.c
- DupPKCS7SignerPtr() : ossl_pkcs7.c
- DupPKeyPtr() : ossl_pkey.c , ossl_pkey.h
- DupPrivPKeyPtr() : ossl_pkey.c , ossl_pkey.h
- DupX509AttrPtr() : ossl_x509attr.c , ossl_x509.h
- DupX509CertPtr() : ossl_x509cert.c , ossl_x509.h
- DupX509CRLPtr() : ossl_x509crl.c , ossl_x509.h
- DupX509ExtPtr() : ossl_x509.h , ossl_x509ext.c
- DupX509ReqPtr() : ossl_x509.h , ossl_x509req.c
- DupX509RevokedPtr() : ossl_x509revoked.c , ossl_x509.h
- DupX509StorePtr() : ossl_x509.h , ossl_x509store.c
- dvar_curr_gen() : parse.c , ripper.c
- dvar_defined_gen() : ripper.c , parse.c
- dyna_in_block_gen() : parse.c , ripper.c
- dyna_pop_1() : ripper.c , parse.c
- dyna_pop_gen() : parse.c , ripper.c
- dyna_push_gen() : parse.c , ripper.c